## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtk6gui
Version:        6.0.27
Release:        %autorelease
Summary:        Deepin Toolkit, gui module for DDE look and feel
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtk6gui
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         dtk6gui-fix-qt6.9-build.patch

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

BuildRequires:  cmake(Dtk6Core) >= %{version}
BuildRequires:  cmake(DtkBuildHelper)
BuildRequires:  cmake(TreelandProtocols)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(libraw)

%description
Deepin Tool Kit (DtkGui) is the development graphical user interface of all
C++/Qt Developer work on Deepin.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1

%build
%cmake -GNinja -DDTK_VERSION=%{version}
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libdtk6gui.so.6*
%{_libexecdir}/dtk6/DGui/

%files devel
%{_libdir}/libdtk6gui.so
%{_includedir}/dtk6/DGui/
%{_libdir}/cmake/Dtk6Gui/
%{_libdir}/pkgconfig/dtk6gui.pc
%{_qt6_archdatadir}/mkspecs/modules/*.pri

%changelog
## START: Generated by rpmautospec
* Fri Apr 04 2025 Jan Grulich <jgrulich@redhat.com> - 6.0.27-4
- Rebuild (qt6)

* Thu Mar 27 2025 Jan Grulich <jgrulich@redhat.com> - 6.0.27-3
- Fix build against Qt 6.9

* Tue Mar 25 2025 Jan Grulich <jgrulich@redhat.com> - 6.0.27-2
- Rebuild (qt6)

* Mon Feb 03 2025 topazus <topazus@outlook.com> - 6.0.27-1
- 6.0.27

* Mon Feb 03 2025 Jan Grulich <jgrulich@redhat.com> - 6.0.25-3
- Rebuild (qt6)

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 27 2024 topazus <topazus@outlook.com> - 6.0.25-1
- 6.0.25

* Mon Dec 09 2024 topazus <topazus@outlook.com> - 6.0.24-2
- Fix to support Treeland

* Sat Dec 07 2024 topazus <topazus@outlook.com> - 6.0.24-1
- 6.0.24

* Wed Dec 04 2024 Jan Grulich <grulja@gmail.com> - 6.0.19-4
- Rebuild (qt6)

* Wed Oct 16 2024 Jan Grulich <jgrulich@redhat.com> - 6.0.19-3
- Fix build against Qt 6.8

* Mon Oct 14 2024 Jan Grulich <jgrulich@redhat.com> - 6.0.19-2
- Rebuild (qt6)

* Thu Aug 29 2024 topazus <topazus@outlook.com> - 6.0.19-1
- 6.0.19

* Sat Jul 27 2024 topazus <topazus@outlook.com> - 6.0.18-1
- 6.0.18

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun May 26 2024 topazus <topazus@outlook.com> - 6.0.16-2
- fix directory permission and packit config file

* Sun May 26 2024 topazus <topazus@outlook.com> - 6.0.16-1
- initial import; rhbz#2283275
## END: Generated by rpmautospec
